Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class FileRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.BaseManagedRenderer
            |
            +--oracle.portal.provider.v1.http.Page
                  |
                  +--oracle.portal.provider.v1.http.FileRenderer

public class FileRenderer
extends Page

When maintained by a `RenderManager`, a `FileRenderer` renders a single page's contents from a static file.

The properties `appPath`, `appRoot`, `contentType`, `pageExpires`, `charSet` may be set at page level or defaulted at `RenderManager` level. However the page name must be set at page level via a call to ``Page.setName(String)`` or by use of the `<name>` `provider.xml` tag.

Field Summary
`static int` | `CHAR_BUFFER_SIZE`

Constructor Summary
`FileRenderer()` Null Constructor.
`FileRenderer(PortletPageLocator parent, java.lang.String pageName)` Creates and initializes a `FileRenderer` owned by the given `PortletPageLocator`, describing a page with the given name.

Method Summary
`void` | `renderBody(PortletRenderRequest pr)` Render the specified page's contents using the current appRoot and page name.

Methods inherited from class oracle.portal.provider.v1.http.Page
`getAppPath, getAppRoot, getName, getPageParameterName, getPagePath, getPageRealPath, setAppPath, setAppRoot, setName, setPageParameterName`

Methods inherited from class oracle.portal.provider.v1.http.BaseManagedRenderer
`getCharSet, getContentType, getPageExpires, postInitialize, preInitialize, prepareResponse, setCharSet, setContentType, setPageExpires, setPageExpires`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHAR_BUFFER_SIZE

    public static final int CHAR_BUFFER_SIZE

Constructor Detail

### FileRenderer

    public FileRenderer()

  Null Constructor. The `BaseManagedRenderer.preInitialize(Object)` method should be called after creating an object with this constructor and the `BaseManagedRenderer.postInitialize()` method should be called after setting up page properties with the various accessor methods. Normally a `DefaultNodeHandler` takes care of these details.

### FileRenderer

    public FileRenderer(PortletPageLocator parent,
                        java.lang.String pageName)
                 throws PortletException

  Creates and initializes a `FileRenderer` owned by the given `PortletPageLocator`, describing a page with the given name.
  Parameters:
    `parent` - the `PortletPageLocator` that owns this page
    `pageName` - the `appPath` relative name of the renderer's page
  Throws:
    PortletException - if an error occurs while initializing the object

Method Detail

### renderBody

    public void renderBody(PortletRenderRequest pr)
                    throws PortletException

  Render the specified page's contents using the current appRoot and page name. File Renderer does this by copying the contents of the static file to the output stream.
  Parameters:
    `pr` - a PortletRenderRequest
  Throws:
    PortletException - if an error occurs while rendering.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD